Page MenuHomePhabricator

Api requests are not cached
Closed, ResolvedPublic

Description

While debugging something else, I found that the api requests from cxserver are not cached. This is causing repeated requests to MW instances for same title for same data.

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterFix the broken API request caching

Event Timeline

santhosh created this task.Sep 5 2018, 10:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2018, 10:56 AM
santhosh claimed this task.Sep 5 2018, 10:57 AM
santhosh triaged this task as High priority.

Change 458132 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Fix the broken API request caching

https://gerrit.wikimedia.org/r/458132

Change 458132 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Fix the broken API request caching

https://gerrit.wikimedia.org/r/458132

Mentioned in SAL (#wikimedia-operations) [2018-09-24T04:10:54Z] <kartik@deploy1001> Started deploy [cxserver/deploy@3e2d668]: Update cxserver to d913793 (T203551, T203780, T202716, T203947)

Mentioned in SAL (#wikimedia-operations) [2018-09-24T04:15:13Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@3e2d668]: Update cxserver to d913793 (T203551, T203780, T202716, T203947) (duration: 04m 20s)

Arrbee closed this task as Resolved.Oct 1 2018, 2:37 PM
Petar.petkovic moved this task from QA to Done on the Language-2018-July-September board.